Bug 1464808 - modify discoveryDB
modify discoveryDB
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: iscsi-initiator-utils (Show other bugs)
6.10
Unspecified Linux
unspecified Severity medium
: rc
: ---
Assigned To: Chris Leech
Martin Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-25 19:59 EDT by loloevian
Modified: 2017-07-20 03:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-20 03:01:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description loloevian 2017-06-25 19:59:53 EDT
Hello everyone, 
Situation : 

- iscsiadm -m session -o show
tcp: [1] 192.168.120.230:3260,1 iqn.2004-04.com.qnap:ts-453a:iscsi.vmstore1.18eb4c (non-flash)
tcp: [2] 10.16.0.11:3260,1 iqn.2004-04.com.qnap:ts-453a:iscsi.vmstore1.18eb4c (non-flash)
tcp: [3] 10.16.0.10:3260,1 iqn.2004-04.com.qnap:ts-453a:iscsi.vmstore1.18eb4c (non-flash)

But when I performed : iscsiadm -m discoverydb
I have only : 192.168.120.230:3260 via sendtargets

So If I cut the connection to this IP : 192.168.120.230 , I lost the connection to my iscsi platform.

What the process to add on the discoverydb the IP :
10.16.0.11 and 10.16.0.10 and don't use 192.168.120.230.

Bestregards
Laurent NEBOUT
Comment 2 loloevian 2017-06-29 19:58:14 EDT
Hello,
let me try  to provide more  focused information.

- iscsiadm -m session -o show
tcp: [1] 192.168.120.230:3260,1 iqn.2004-04.com.qnap:ts-453a:iscsi.vmstore1.18eb4c (non-flash)
tcp: [2] 10.16.0.11:3260,1 iqn.2004-04.com.qnap:ts-453a:iscsi.vmstore1.18eb4c (non-flash)
tcp: [3] 10.16.0.10:3260,1 iqn.2004-04.com.qnap:ts-453a:iscsi.vmstore1.18eb4c (non-flash)

If I perform a logout for 
tcp: [1] 192.168.120.230:3260,1 iqn.2004-04.com.qnap:ts-453a:iscsi.vmstore1.18eb4c (non-flash)

and  do : - iscsiadm -m session -o show
tcp: [2] 10.16.0.11:3260,1 iqn.2004-04.com.qnap:ts-453a:iscsi.vmstore1.18eb4c (non-flash)
tcp: [3] 10.16.0.10:3260,1 iqn.2004-04.com.qnap:ts-453a:iscsi.vmstore1.18eb4c (non-flash)

But my access to the data is : Read Only

how do you do to use 10.16.0.11 and 10.16.0.10 with a R/W access ?

Best regards
LAurent
Comment 3 loloevian 2017-06-29 20:50:10 EDT
(In reply to loloevian from comment #2)
> Hello,
> let me try  to provide more  focused information.
> 
> - iscsiadm -m session -o show
> tcp: [1] 192.168.120.230:3260,1
> iqn.2004-04.com.qnap:ts-453a:iscsi.vmstore1.18eb4c (non-flash)
> tcp: [2] 10.16.0.11:3260,1
> iqn.2004-04.com.qnap:ts-453a:iscsi.vmstore1.18eb4c (non-flash)
> tcp: [3] 10.16.0.10:3260,1
> iqn.2004-04.com.qnap:ts-453a:iscsi.vmstore1.18eb4c (non-flash)
> 
> If I perform a logout for 
> tcp: [1] 192.168.120.230:3260,1
> iqn.2004-04.com.qnap:ts-453a:iscsi.vmstore1.18eb4c (non-flash)
> 
> and  do : - iscsiadm -m session -o show
> tcp: [2] 10.16.0.11:3260,1
> iqn.2004-04.com.qnap:ts-453a:iscsi.vmstore1.18eb4c (non-flash)
> tcp: [3] 10.16.0.10:3260,1
> iqn.2004-04.com.qnap:ts-453a:iscsi.vmstore1.18eb4c (non-flash)
>
>[root@SC-KVM2 images]# iscsiadm -m discoverydb
>10.16.0.10:3260 via sendtargets
>10.16.0.11:3260 via sendtargets
> But my access to the data is : Read Only
> 
> how do you do to use 10.16.0.11 and 10.16.0.10 with a R/W access ?
> 
> Best regards
> LAurent
Comment 4 Martin Hoyer 2017-06-30 09:33:04 EDT
Hello LAurent,
can You paste the output of 'iscsiadm -m session -P3'?
Comment 5 loloevian 2017-07-05 20:59:56 EDT
(In reply to Martin Hoyer from comment #4)
> Hello LAurent,
> can You paste the output of 'iscsiadm -m session -P3'?

Hi Martin 
Sorry for the delay between my last post.
I had a business trip and I was busy.

Concerning the problem , I try one more time to implement multipath and now that's ok.
I don't know why the first time, I had trouble.

Have a nice day.

Laurent
Comment 6 Martin Hoyer 2017-07-07 03:37:23 EDT
(In reply to loloevian from comment #5)
Hi Laurent,
thank you for the update. Is it ok to close this bz?
Comment 7 loloevian 2017-07-19 20:37:31 EDT
(In reply to Martin Hoyer from comment #6)
> (In reply to loloevian from comment #5)
> Hi Laurent,
> thank you for the update. Is it ok to close this bz?

Sorry for the delay Martin
Yes that's ok to close the ticket

Have a nice day 
Laurent
Comment 8 Martin Hoyer 2017-07-20 03:01:16 EDT
(In reply to loloevian from comment #7)
Thank you Laurent.
Have a nice day,
Martin

Note You need to log in before you can comment on or make changes to this bug.